> ## Documentation Index
> Fetch the complete documentation index at: https://smallestai-ff1e543d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voices

> Get voices supported for a given model using the new Waves API.



## OpenAPI

````yaml GET /waves/v1/{model}/get_voices
openapi: 3.0.1
info:
  title: Voices API
  description: |
    API for managing voices in Waves.
    Get available voices, clone voices, and manage your voice library.
  version: 1.0.0
servers:
  - url: https://api.smallest.ai
    description: Waves API server
security: []
paths:
  /waves/v1/{model}/get_voices:
    get:
      tags:
        - Voices
      summary: Get Voices
      description: Fetch voices for a given model.
      operationId: getWavesVoices
      parameters:
        - in: path
          name: model
          required: true
          schema:
            type: string
            enum:
              - lightning-v2
              - lightning-v3.1
          description: The model to use for speech synthesis.
      responses:
        '200':
          description: Voices retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  voices:
                    type: array
                    description: List of available voices.
                    items:
                      type: object
                      required:
                        - voiceId
                        - displayName
                      properties:
                        voiceId:
                          type: string
                          description: Unique Voice ID.
                        displayName:
                          type: string
                          description: Display name for the voice.
                        tags:
                          type: object
                          description: List of tags associated with the voice.
                          properties:
                            language:
                              type: array
                              description: Language of the voice.
                              items:
                                type: string
                            accent:
                              type: string
                              description: Accent of the voice.
                            gender:
                              type: string
                              description: Gender of the voice.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Server error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error type
        message:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <api_key>`, where
        <api_key> is your api key.

````